<script>
import  { ref } from "vue"

export default {
  emits: ["newValue","addTodo"],
  setup(props, context) {
    const newTodo = ref('')
    
    const toggleDone = todo => todo.done = !todo.done
    const removeTodo = index => todos.value.splice(index, 1)
    const markAllDone = () => todos.value.forEach(todo => todo.done = true)
    const removeAllTodos = () => todos.value = []

    const enviarFormulario = () => {
      context.emit('addTodo', newTodo)
    }

    return {
      newTodo,
      toggleDone,
      removeTodo,
      markAllDone,
      removeAllTodos,
      enviarFormulario
    }
  }
}
</script>

<template>
    <div className="w-1/2">
      <p className="text-2xl mt-10 text-center">
        <span className="text-indigo-600 font-bold mb-10">Añadir tareas</span>
      </p>     
      <form
        className="bg-white shadow-md rounded-lg py-10 px-5 mb-5 mt-5"
        @submit.prevent="enviarFormulario"
        >
        <div className="mb-5">
            <label
              htmlFor="tarea"
              className="block text-gray-700 uppercase font-bold">
              Nombre de la tarea
            </label>
            <input
              id="tarea"
              name="newTodo"
              className="border-2 w-full p-2 mt-2 placeholder-gray-400 rounded-md"
              type="text"
              placeholder="Nombre de la tarea"
              v-model="newTodo"
            />
        </div>
        <button className="bg-indigo-600 w-full p-3 mt-2 text-white uppercase font-bold hover:bg-indigo-700 rounded-md">
            Agregar nueva tarea
        </button>        
      </form>
      
    </div>
</template>